Go to the latest version of this document.
search in docstrings

Search bar offers the following options:

- Term presence. The below example searches for documents that must contain “foo”, might contain “bar” and must not contain “baz”: `+foo bar -baz`
- Wildcards. The below example searches for documents with words beginning with “foo”: `foo*`
- Search in specific fields. The following search matches all objects in "twisted.mail" that matches “search”: `+qname:twisted.mail.* +search`

  Possible fields: 'name', 'qname' (fully qualified name), 'docstring', and 'kind'. Last two fields are only applicable if "search in docstrings" is enabled.

- Fuzzy matches. The following search matches all documents that have a word within 1 edit distance of “foo”: `foo~1`

Results provided by Lunr.js

# ``twisted`.`internet`.`interfaces`.`IReactorPluggableResolver``

interface documentation

`class IReactorPluggableResolver(Interface): (source)`

Known implementations: `twisted.internet.base.PluggableResolverMixin`

View In Hierarchy

An `IReactorPluggableResolver` is a reactor which can be customized with an `IResolverSimple`. This is a fairly limited interface, that supports only IPv4; you should use `IReactorPluggableNameResolver` instead.

See Also
`IReactorPluggableNameResolver`

Method | `installResolver` | Set the internal resolver to use to for name lookups.

def installResolver(resolver: `IResolverSimple`) -> `IResolverSimple`: (source)

Set the internal resolver to use to for name lookups.

Parameters
resolver:`IResolverSimple` | The new resolver to use.
Returns
`IResolverSimple` | The previously installed resolver.